package com.example.backend;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import com.example.backend.users.model.UserEntity;
import com.example.backend.users.model.UserRole;
import com.example.backend.users.service.UserService;

// create lab 2

@SpringBootApplication
public class BackendApplication implements CommandLineRunner {

	private final Logger _logger = LoggerFactory.getLogger(BackendApplication.class);
	private final UserService userService;

	public BackendApplication(UserService userService) {
		this.userService = userService;
	}

	public static void main(String[] args) {
		SpringApplication.run(BackendApplication.class, args);
	}

	@Override
	public void run(String... args) throws Exception {
		final var admin = new UserEntity(null, "elena", "1234");
		admin.setRole(UserRole.ADMIN);
		userService.create(admin);
		_logger.info("Admin user added");
	}

}
